-- 设置搜索路径
local function setSearchPaths()
	local fileUtils = cc.FileUtils:getInstance()
	STORAGE_PATH = string.gsub(fileUtils:getWritablePath(), "\\", "/") .. "sanguo/"
	fileUtils:addSearchPath(STORAGE_PATH)
	fileUtils:addSearchPath(STORAGE_PATH .. "res/")
	fileUtils:addSearchPath(STORAGE_PATH .. "res/ui/")
	fileUtils:addSearchPath(STORAGE_PATH .. "pb/")
	fileUtils:addSearchPath(STORAGE_PATH .. "patch/")
	fileUtils:addSearchPath(STORAGE_PATH .. "patch/res/")
	fileUtils:addSearchPath("res/")
	fileUtils:addSearchPath("res/ui/")
	fileUtils:addSearchPath("pb/")
	fileUtils:addSearchPath("src/")
	fileUtils:setPopupNotify(false)
end

setSearchPaths()

print(jit.version)
if jit.version >= "LuaJIT 2.1" then
	if jit.arch == "arm64" then
		cc.LuaLoadChunksFromZIP("cocos_arm64.zip")
		cc.LuaLoadChunksFromZIP("lib_arm64.zip")
		cc.LuaLoadChunksFromZIP("config_arm64.zip")
		cc.LuaLoadChunksFromZIP("game_arm64.zip")
	else
		cc.LuaLoadChunksFromZIP("cocos_arm32.zip")
		cc.LuaLoadChunksFromZIP("lib_arm32.zip")
		cc.LuaLoadChunksFromZIP("config_arm32.zip")
		cc.LuaLoadChunksFromZIP("game_arm32.zip")
	end
else
	cc.LuaLoadChunksFromZIP("cocos.zip")
	cc.LuaLoadChunksFromZIP("lib.zip")
	cc.LuaLoadChunksFromZIP("config.zip")
	cc.LuaLoadChunksFromZIP("game.zip")
end

local function main()
	require("app.my_app"):create():run()
end

function __G__TRACKBACK__(errorMessage)
	print("----------------------------------------")
	print("LUA ERROR: " .. tostring(errorMessage) .. "\n")
	print(debug.traceback("", 2))
	print("----------------------------------------")
end

local status, msg = xpcall(main, __G__TRACKBACK__)
if not status then
	print(msg)
end
